Package com.collabnet.ce.soap60.webservices.tag

# Class TagSoapUtil

java.lang.Object
com.collabnet.ce.soap60.webservices.tag.TagSoapUtil

public class TagSoapUtil extends Object
Class used for aggregating convenience methods related to tags.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagSoapUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `convertTagIdsToNames(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.ProjectPath projectPath, Set<String> tagIds)`
  Converts the tag ids in the given project to tag names
  `static Set<String>`
  `convertTagNamesToIds(com.vasoftware.sf.server.types.UserSessionKey sessionId, String projectId, String[] tagNames)`
  Converts the tag names in the given project to tag Ids

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagSoapUtil

    public TagSoapUtil()

- ## Method Details

  - ### convertTagNamesToIds

    public static Set<String> convertTagNamesToIds(com.vasoftware.sf.server.types.UserSessionKey sessionId, String projectId, String[] tagNames) throws NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault
    Converts the tag names in the given project to tag Ids
    Parameters:
      `sessionId` - User session id
      `projectId` - Project identifier
      `tagNames` - The tag names
    Returns:
      The tag ids
    Throws:
      `PermissionDeniedFault` - when the current user does not have permission to create tags
      `NoSuchObjectFault` - when the given project id is invalid
      `IllegalArgumentFault` - when any of the given tag names is invalid

  - ### convertTagIdsToNames

    public static String[] convertTagIdsToNames(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.ProjectPath projectPath, Set<String> tagIds)
    Converts the tag ids in the given project to tag names
    Parameters:
      `sessionKey` - User session id
      `projectPath` - Project path
      `tagIds` - The tag ids
    Returns:
      The tag names